> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Package Status



## OpenAPI

````yaml GET /placement/{id}/package-status
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /placement/{id}/package-status:
    get:
      summary: Get package upload status
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Package status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackageStatus'
components:
  schemas:
    PackageStatus:
      type: object
      properties:
        placementId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/PlacementStatus'
        atsPlacementRefId:
          type: string
          nullable: true
        vmsPlacementRefId:
          type: string
          nullable: true
        packets:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              packetGroup:
                type: string
                nullable: true
              status:
                $ref: '#/components/schemas/PacketStatus'
              uploadedAt:
                type: string
                format: date-time
                nullable: true
              compiledFileId:
                type: string
                format: uuid
                nullable: true
    PlacementStatus:
      type: string
      enum:
        - ACTIVE
        - COMPLETED
        - CANCELLED
    PacketStatus:
      type: string
      enum:
        - INCOMPLETE
        - COMPLETE
        - COMPILING
        - COMPILED
        - UPLOADING
        - UPLOADED
        - FAILED
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````